Hacking Should I update my PS3 Slim OFW from 4.82 to 4.85 if I want to install HEN?

SithLord

Well-Known Member
OP
Newcomer
Joined
Jun 7, 2021
Messages
50
Trophies
0
Age
28
XP
253
Country
United States
I've kept my PS3 Slim OFW at 4.82 years back so I can install and use HAN(which I've done already years ago). Now, I'm considering updating to 4.85 to install HEN if that is the recommended OFW for it.
 

Site & Scene News

Popular threads in this forum

General chit-chat
Help Users
  • No one is chatting at the moment.
    K3Nv2 @ K3Nv2: https://youtube.com/shorts/WUOq1dlZWxI?si=LBlEJwZfwtWShljP lol Denmark can't handle the spice